﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;

namespace TileView_DataBinding
{
    public partial class MainPage : UserControl
    {
        private int lastImageIndex;

        public MainPage()
        {
            InitializeComponent();
            this.lastImageIndex = 0;
        }

        private int GetImageIndex()
        {
            this.lastImageIndex = (this.lastImageIndex >= 6) ? 1 : ++this.lastImageIndex;
            return this.lastImageIndex;
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            this.tileView.Items.Add(new Product()
                {
                    ProductName = String.Format("Item {0}", this.tileView.Items.Count),
                    ProductPrice = 10 + this.tileView.Items.Count,
                    ImagePath = String.Format("Images/{0}.png", this.GetImageIndex()),
                    ProductDescription = String.Format("Description of Item {0}", this.tileView.Items.Count)
                });
        }

        private void tileView_TileStateChanged(object sender, Telerik.Windows.RadRoutedEventArgs e)
        {
            RadTileViewItem item = e.Source as RadTileViewItem;
            if (item != null)
            {
                RadFluidContentControl fluidControl = item.ChildrenOfType<RadFluidContentControl>().First();
                if (fluidControl != null)
                {
                    switch (item.TileState)
                    {
                        case TileViewItemState.Maximized:
                            fluidControl.State = FluidContentControlState.Large;
                            break;
                        case TileViewItemState.Minimized:
                            fluidControl.State = FluidContentControlState.Small;
                            break;
                        case TileViewItemState.Restored:
                            fluidControl.State = FluidContentControlState.Normal;
                            break;
                    }
                }
            }
        }
    }
}
